<?PHP
if(!defined('IN_SMAN')) {
	die('Session expired or not set..');
}

function cron_rss_archive($eId) {
	global $M_db,$M_conf,$s_tpl_types;
	define('RSS_NO_FETCH',true);
	
	//select keyword for which content would be pulled
	if(!($key_data = $M_db->getRow('SELECT * FROM '.dext('keyword_list').' WHERE id="'.$eId.'"'))) {
		//try to remove old line from procs
		$M_db->query('DELETE FROM '.dext('proc_list').' WHERE extra_field="id='.$eId.'" AND task_type="rss_archive"');
		return array(false,'Keyword data is missing or corrupted..');
	}
	//echo '<pre>';
	//print_r($key_data);
	if($key_data['arch_period']==0) {
		return array(false,'Archive procedure is disabled from keyword screen..');
	}
	
	if(strlen($key_data['last_archive'])=="") {
		$M_db->query('UPDATE '.dext('keyword_list').' SET last_archive="2005'.date('-m-d H:i:s').'"');
		$key_data['last_archive'] = '2005'.date('-m-d H:i:s');
	}
	//check if archive should be made today
	//echo 'REMOVE COMMENTS!!<br>';
	//*/
	$tt = epoch(date('Y-m-d H:i:s'));
	$tt1 = epoch($key_data['last_archive']);
	$tt_hours = round(($tt-$tt1)/60/60);
		
	if(!(($key_data['arch_period']*23)<$tt_hours)) {
		if(!isset($_GET['force_arch'])) {
			return array(false, 'No need to make an archive today..');	
		}
	}
	//*/

	$rss_key_id = $eId;
	require_once(dirname(__FILE__).'/../feed_fetch.php');	

	$tpl->assign('ARCH_URL',$key_data['keyword_arch_uri']);
	
	$dt = array('Y'=>date('Y'),'M'=>date('M'));
	if(!is_readable($key_data['keyword_arch'].'/'.$dt['Y'].'/')) {
		@mkdir($key_data['keyword_arch'].'/'.$dt['Y'].'/', 0777); 
	}
	if(!is_readable($key_data['keyword_arch'].'/'.$dt['Y'].'/'.$dt['M'])) {
		@mkdir($key_data['keyword_arch'].'/'.$dt['Y'].'/'.$dt['M'], 0777); 
	}

	//set current day page
	$fp = @fopen($key_data['keyword_arch'].'/'.$dt['Y'].'/'.$dt['M'].'/'.$key_data['keyword_arch_pfx'].$dt['Y'].'-'.$dt['M'].'-'.date('d').'.html','w+b');
	if(!$fp) {
		return array(false, '"'.$key_data['keyword_arch'].'" is not writable!');
	}
	$tpl->assign('ARCH_DATE',date('d M, Y'));
	$tpl->assign('ARCH_NAV_LINKS','Back to <a href="'.$key_data['keyword_arch_uri'].'">'.ucfirst($key_data['keyword']).' Archive</a><br>Back to <a href="'.getVar('siteURL').'">'.getVar('siteTitle').'</a>');
	@fwrite($fp,$tpl->fetch('',$tpl_data[2]['data']));
	@fclose($fp);

	//set index page(s)
	$fp = @fopen($key_data['keyword_arch'].'/index.html','w+b');
	if(!$fp) {
		return array(false, '"'.$key_data['keyword_arch'].'" is not writable!');
	}
	$link_list = '';
	if($d = dir($key_data['keyword_arch'].'/'.$dt['Y'].'/'.$dt['M'].'/')) {
		while ($entry = $d->read()) {
			if($entry!='.'&&$entry!='..'&&$entry!='index.html') {
				$link_list .= '<a href="'.$key_data['keyword_arch_uri'].'/'.$dt['Y'].'/'.$dt['M'].'/'.$key_data['keyword_arch_pfx'].$dt['Y'].'-'.$dt['M'].'-'.date('d').'.html'.'">'.$entry.'</a><br>';
			}
		}
		$d->close();
	}
	$folder_list = '';
	if($d = dir($key_data['keyword_arch'].'/'.$dt['Y'].'/')) {
		while ($entry = $d->read()) {
			if($entry!='.'&&$entry!='..'&&$entry!='index.html') {
				$folder_list .= '<a href="'.$key_data['keyword_arch_uri'].'/'.$dt['Y'].'/'.$entry.'">'.$entry.' '.$dt['Y'].'</a><br>';
			}
		}
		$d->close();
	}
	$years_list = '';
	if($d = dir($key_data['keyword_arch'].'/')) {
		while ($entry = $d->read()) {
			if($entry!='.'&&$entry!='..'&&$entry!='index.html') {
				$years_list .= ' <a href="'.$key_data['keyword_arch_uri'].'/'.$entry.'">'.$entry.'</a> |';
			}
		}
		$d->close();
		$years_list = substr($years_list,0,-1);
	}
	$tpl->assign('ARCH_CONTENT',$link_list);
	$tpl->assign('ARCH_DIRS',$folder_list.'<br><br>Years:'.$years_list);
	@fwrite($fp,$tpl->fetch('',$tpl_data[3]['data']));
	@fclose($fp);
	//index by month
	$fp = @fopen($key_data['keyword_arch'].'/'.$dt['Y'].'/'.$dt['M'].'/index.html','w+b');
	if(!$fp) {
		return array(false, '"'.$key_data['keyword_arch'].'" is not writable!');
	}
	$tpl->assign('ARCH_DIRS',$tpl->getVar('ARCH_NAV_LINKS'));
	@fwrite($fp,$tpl->fetch('',$tpl_data[3]['data']));
	@fclose($fp);
	//index by year
	$fp = @fopen($key_data['keyword_arch'].'/'.$dt['Y'].'/index.html','w+b');
	if(!$fp) {
		return array(false, '"'.$key_data['keyword_arch'].'" is not writable!');
	}
	$tpl->assign('ARCH_CONTENT',$folder_list);
	$tpl->assign('ARCH_DIRS',$tpl->getVar('ARCH_NAV_LINKS'));
	@fwrite($fp,$tpl->fetch('',$tpl_data[3]['data']));
	@fclose($fp);
	
	$M_db->query('UPDATE '.dext('keyword_list').' SET last_archive="'.date('Y-m-d H:i:s').'"');
	//set index page
	
	return array('true','Archive updated ('.$dt['M'].' '.$dt['Y'].')');
}
?>