<?PHP
require_once(dirname(__FILE__).'/../../blibFrame.lib.php');

/*
* Wrapper funcitonality for file  oriented functions
* Allows to abstract form file existence/readability probs during dev of other classes.
*/
class blibFile extends blibClass {
  var $filepath;

  function blibFile($inPath = '') {
  	$this->filepath = $inPath;
  }

  function contentGet($inFile = '', $inSupressErr = false) {
  	if($inFile!='') {
  		$this->filepath = $inFile;
  	}
    if($this->filepath!=''&&file_exists($this->filepath)&&is_readable($this->filepath)) {
      if($this->validateVersion('4.3.0')) {
    	  return file_get_contents($this->filepath);
      }else {
        return implode("",file($this->filepath));      	
      }
    }else {
      if($inSupressErr) {
      	return false;
      }else {
        $this->errorThrow(get_class($this),'File "'.$this->filepath.'" could not be opened..',__FILE__,__LINE__);	
      }
    }
  }

}
?>