<?PHP 
/*****************************************************
* Prepended Authentification File.                   *
* ---------------------------------------------------*
* All application files should prepend               *
* (include_once()) this file                         *
*****************************************************/
/**
*	Ensure that your script is not called directtly.
*/
if(!defined('IN_SMAN')) {
	die('Session expired or not set..');
}

$M_LIB_PATH = dirname(__FILE__).'/./lib/';      //absolute path to /lib folder
$M_XLIB_PATH = $M_LIB_PATH.'phpblib';					  //absolute path to /xlib folder
if(!is_dir($M_XLIB_PATH)) {
	$M_XLIB_PATH = dirname(__FILE__).'/../../phpblib';
}

require_once($M_XLIB_PATH.'/blibFrame.lib.php');

$blib = new blibCore();
$blib->packageSetup('blibDb');
$blib->packageSetup('blibControls');
$blib->packageSetup('blibXML');

$blib->classSetHandle('blibDb.blibDbTable','SQLTable');
$blib->classSetHandle('blibControls.blibTemplate','Tpl');
$blib->classSetHandle('blibControls.blibDataGrid','DataGrid');
$blib->classSetHandle('blibControls.blibDbGrid','DbGrid');
$blib->classSetHandle('blibControls.blibTabs','Tabs');
$blib->classSetHandle('blibControls.blibList','List');
$blib->classSetHandle('blibControls.blibContainer','Container');
$blib->classSetHandle('blibControls.blibFForm','FForm');
$blib->classSetHandle('blibXML.blibXMLConfParser','XMLConfParser');

$xml = $blib->objectGet('XMLConfParser');
$xml->init();
$M_conf = $xml->parseConfig(dirname(__FILE__).'/lib/conf.xml.php');

require_once(dirname(__FILE__).'/../rootf.php');


if((!defined('IN_SMAN_INSTALL'))&&(!@is_writable(dirname(__FILE__).'/data/db/sysvars.txt'))) {
	echo '<center><div style="background:#F9F8F8;margin-top:20%;font-size:9pt;font-family:Tahoma,Verdana;text-align:center;width:60%;height:300px;border:1px solid silver;"><div style="text-align:left;border:1px solid silver;padding:10px;margin-top:1px;margin-right:1px;margin-left:1px;margin-bottom:20px;"><img src="./system/layout/themes/default/att.gif" width="32" height="32" border="0" alt=""> <span style="font-size:25pt;color:#000066;">Attention!</span></div><div style="">Application seems to be not installed. <a href="./install/">Click here</a> to reinstall.</div></div></center>';
	exit;
}


/*
*	Plain-text Database
*/
require_once($M_XLIB_PATH.'/framework/blibDb/blibDb.lib.php');
$M_db = new blibDbTxt(); 
$M_db->init(dirname(__FILE__).'/data/','db'); 

/**
* Common functions
*/
  include_once($M_LIB_PATH.'/common.inc.php');
  include_once($M_LIB_PATH.'/data.inc.php');
	$theme = '';
	if($theme_c = $M_db->getVar('SELECT vvalue FROM '.dext('sysvars').' WHERE vname="siteTheme"')) {
		$theme = $theme_c;
	}
	$theme = ($theme)?$theme:'default';
	$M_conf['paths']['r_img'] .= '/themes/'.$theme.'/';


/**
* Cronacts
*/
  include_once($M_LIB_PATH.'/cronacts.inc.php');

/**
* Template Engine
*/
  $M_tpl = $blib->objectGet('Tpl');
  $M_tpl->init(dirname(__FILE__).'/layout/themes/'.getVar('siteTheme').'/templates/');
  $M_tpl->assign('APP_URL',$M_conf['credits']['app_url']);
  $M_tpl->assign('APP_HREF',$M_conf['credits']['app_url'].'sections');
  $M_tpl->assign('APP_IMG_URL',$M_conf['credits']['app_url'].'system/layout/');
  $M_tpl->assign('APP_IMG_URL_FRONT',$M_conf['credits']['app_url'].'system/layout/frontend/');
  $M_tpl->assign('APP_IMG_HND',$M_conf['credits']['app_url'].'sections/handlers/image/');
  $M_tpl->assign('APP_PATH',$M_conf['paths']['r_main']);

	//post install instructions
	$sys_warn_msg = '';
	if(is_dir(rootf().'/install')) {
		$sys_warn_msg .= '<br>'.$M_conf['credits']['app_url'].'install/<br> Directory must be removed, as it creates potential security hole.<hr>';
	}
	if(is_writable(rootf().'/system/lib/conf.xml.php')) {
		$sys_warn_msg .= ''.$M_conf['credits']['app_url'].'system/lib/conf.xml.php<br> System configuration file permissions must be changed to read-only.<hr>';
	}
	if(strlen($sys_warn_msg)) {
		$sys_warn_msg = '<center><div style="text-align:left;width:100%;background-color:#F9F8F8;font-weight:bold;font-size:9pt;margin0px;padding:15px;"><span style="font-size:13px;color:red;">Attention!!! Security Warning!</span><br>'.$sys_warn_msg.'<div style="text-align:right;font-size:8pt;">[<a class="menu_link_small" href="'.$M_conf['paths']['r_main'].'/users/admin/index.php?ms='.md5('install_security_msg_no_show').'">do not display this warning any more</a>]</div></div></center>';	
	}
	$M_tpl->assign('PRE_CONT',$sys_warn_msg);

/**
* Image Resizer
*/
//include($M_LIB_PATH.'/image_handler.inc.php');
?>