<?PHP
if(!(defined('IN_SMAN')
  &&isset($_SESSION['S_UMS']['UNAME'])
  &&isset($_SESSION['S_UMS']['UTYPE'])
  &&($_SESSION['S_UMS']['UTYPE']==2||$_SESSION['S_UMS']['UTYPE']==1)
	)) {	die('Session expired or not set..'); }

$f = array('t'=>'General Parameters','d'=>'Provide general RSS parameters used by default throughout the system.','b'=>'Update');
$M_tabs->updateHeader('head','/'.$f['t'],1);
$M_tabs->updateHeader('desc',$f['d']);

$frm = $blib->objectGet('FForm');
$frm->init();
$frm->setup('frm',$f['t'],'','POST',$f['b']);

$pars = array();
$pars[] = array('type'=>'txt','tag'=>'siteTitle','caption'=>'Site Title:','comment'=>'','required'=>1);
$pars[] = array('type'=>'txt','tag'=>'siteURL','caption'=>'Site URL:','comment'=>'','required'=>1);
$pars[] = array('type'=>'txta','tag'=>'rssFeeds','caption'=>'RSS Feeds:','comment'=>'One item per line. To add dynamic feed use %KEYWORD% token, which would be substituded by actual RSS keyword by internal parser. ','required'=>0);
$pars[] = array('type'=>'txta','tag'=>'rssBacklinks','caption'=>'Backlinks:','comment'=>'One item per line. This is a default Backlinks list, you can customize this list per keyword item.','required'=>0);

$pars[] = array('type'=>'cnt','title'=>'Affiliate Program','comment'=>$M_conf['credits']['app_name'].' has a built-in affiliate program - enter your Clickbank Affiliate Nickname and Tag Line - application would create a hoplink on-fly.<br><br>Tag Line is the actual text that will be displayed - if you do not want '.$M_conf['credits']['app_name'].' display a tag line, make the Tag Line blank.');

$pars[] = array('type'=>'txt','tag'=>'clickBankName','caption'=>'Affiliate Nickname:','comment'=>'','required'=>0);
//$pars[] = array('type'=>'txt','tag'=>'clickBankVendor','caption'=>'Vendor Nickname:','comment'=>'','required'=>0);
$pars[] = array('type'=>'txt','tag'=>'clickBankTag','caption'=>'Tag Line:','comment'=>'','required'=>0,'value'=>'Powered by '.$M_conf['credits']['app_name']);

$pars[] = array('type'=>'cnt','title'=>'Non-registered Keywords','comment'=>'Specify the behavior for situation when keyword include code requests the fetcher to provide RSS news for a keyword not registered with the system.');
$pars[] = array('type'=>'cmb','tag'=>'behNonRegist','caption'=>'Behavior:','comment'=>'','required'=>1,'value'=>'allow_n_register','values'=>array('deny'=>'Deny','allow'=>'Allow','allow_n_register'=>'Allow and Register'));

$frm->addContainer();
$frm->hCont->setDims('600px');
foreach($pars as $key=>$val) {
	switch($val['type']) {
		case 'txta':
			$frm->addTA($val['tag'],$val['caption'],getVar($val['tag']),'',$val['required'],$val['comment'],'','',' style="width:100%;height:100px;font-size:8pt;"');
		break;
		case 'cmb':
			$frm->addCB($val['tag'],$val['caption'],$val['values'],array(getVar($val['tag'])));		
		break;
		case 'cnt':
			$frm->addContainer($val['title']);
			$frm->addTE($val['comment']);
		break;
		default:
			$frm->addTF($val['tag'],$val['caption'],(isset($val['value'])?$val['value']:getVar($val['tag'])),$val['required'],$val['comment']);
		break;
	}
}


$rurl = $M_tabs->getCUrl();
$rurl[1]['f'] = 14;
$rurl = $M_tabs->setCUrl($rurl);

if($frm->isFinished()) {
  $fok = true;
	$fEls = $frm->getValues();
	foreach($pars as $key=>$val) {
		if(isset($val['tag'])&&$val['tag']!='cnt') {
			if(isset($fEls[$val['tag']])) {
				if(is_array($fEls[$val['tag']])) {
					setVar($val['tag'],$fEls[$val['tag']][0]);
				}else {
					setVar($val['tag'],$fEls[$val['tag']]);
				}
			}
		}
	}
	
  if($fok) {
    $rurl = $M_tabs->getCUrl();
    $rurl[1]['f'] = 0;
    $rurl = $M_tabs->setCUrl($rurl);
    $M_tabs->redirect($rurl);
  }else {
  	$frm->formDisplay();
  }
}else {
  $frm->formDisplay();	
}
?>