<?
$common_vars['APP_DATE'] = '18 Mar, 2006';
$common_vars['APP_VER'] = 'ver. 1.30.10';
$common_vars['INSTALLER'] = 'ver. 1.30.10';
ob_start();
?>
<html>
<head>
	<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type" />
	<title>RSS Equalizer Setup (<?=$common_vars['APP_VER']?>)</title>
	<link href="input/css.css" type="text/css" rel=STYLESHEET>
	<link href="input/blib_css.css" type="text/css" rel=STYLESHEET>
  <style>
		.tbl_head {
			padding: 5px; /** {Table_Header} */
			border: 1px solid #e9e9e9; /** {Table_Header} */
			font-size: 10pt; /** {Table_Header} */
			font-weight:bold;/** {Table_Header} */
			margin-top: 1em; /** {Table_Header} */
			margin-bottom: 1em; /** {Table_Header} */
			color: #000000; /** {Table_Header} */
			line-height: 16px;
			background-color: #f8f8f8; /** {Table_Header} */
		}
		.error{
			color:red;
			font-weight:bold;
		}
	</style>
	</head> 
<body>
<center>
  <table border=0 width="50px;" style="margin-top:15px;border:1px silver solid;">
    <tr>
      <td class="tbl_head" style="text-align:left;padding:0px;border:1px silver solid;" align="right" height="20px"><img style="border:1px solid #e9e9e9;" src="logo.gif" border="0" alt=""></td>
    </tr>
    <tr>
      <td align="center" valign="top" style="padding:0px;">
<?PHP
if(!defined('IN_SMAN')) {
  define('IN_SMAN',true);	
}
if(!defined('IN_SMAN_INSTALL')) {
  define('IN_SMAN_INSTALL',true);	
}
if(file_exists(dirname(__FILE__).'/../system/data/db/sysvars.txt')&&(!@is_writable(dirname(__FILE__).'/../system/data/db/sysvars.txt'))) {
	die('Clear /system/data/db folder (all data from previous installation would be lost) before proceeding..');
}
set_time_limit(7*60*60);
require_once(dirname(__FILE__).'/prepend.php');

$pp = &$_POST;
$setupType = isset($pp['setupType'])?$pp['setupType']:'basic';
$steps = array();
$frm = $blib->objectGet('FForm');
$frm->init();
$frm->setup('frm','','','POST','Create');

$frm->changeWrapper('LeftTitle');
$frm->setDims('629px');
//Welcome
$steps[] = array('halt'=>false,'halt_msg'=>'','err_obj'=>NULL);
$steps[] = array('halt'=>false,'halt_msg'=>'','err_obj'=>NULL);
$frm->addContainer('','','Invi');
$frm->addTE(
	'<div class="note" style="height:50px"><b>Welcome to installation wizard!</b><br> This utility would take care of almost all tasks required to setup sucessfully RSS Equalizer application.</div>'
);
$cnt = &$frm->addContainer();
$cnt->setDims(623,250);
$frm->changeWrapper();
$frm->addTE('Please select the installation type. For most users Basic Applcation Setup would be enough. More advanced users wishing to utilize advanced features of RSS Equalizer such as news archive should proceed with Advanced Setup.');
$frm->addRB('setupType',array('basic'=>'Basic User','advanced'=>'Advanced User'),'basic');
$frm->changeWrapper('LeftTitle');
$steps[count($steps)-1]['err_obj'] = &$frm->addTE(''); 

//Prerequisites
$steps[] = array('halt'=>false,'halt_msg'=>'','err_obj'=>NULL);
$frm->addStep();
$frm->addContainer('','','Invi');
$frm->addTE(
	'<div class="note" style="height:50px"><b>Checking Prerequisites..</b><br> Review prerequisites below before proceeding with installation.</div>'
);
$msg = '<b>Directory/File Permissions</b><br>In order to run correctly application requires 777 permission on some directories/files (all paths are given relative to the directory you copied the application into).<br><hr>';
$top_path = dirname(__FILE__).'/../';
$nfiles = array();
$nfiles[] = array('System Config','system/lib/conf.xml.php',1);
if($setupType!='basic') {
	$nfiles[] = array('CronFile','system/crons',1);
	$nfiles[] = array('Feeds','system/data/feeds',1);
}
$nfiles[] = array('Feeds Cache','system/data/feeds_cache',1);
$nfiles[] = array('Database','system/data/db',1);
/*
if($d = dir(dirname(__FILE__).'/input/db')) {
	while ($entry = $d->read()) {
		if($entry!='.'&&$entry!='..') {
			$nfiles[] = array('DB Table "'.ucfirst(substr($entry,0,-4)).'"','system/data/db/'.$entry,1);
		}
	}
	$d->close();
}
*/



$msg .= '<table border=0 width="100%">';
foreach($nfiles as $nfile) {
	clearstatcache();
	$fpath = $top_path.$nfile[1];
	$msg .= '<tr valign="top"><td nowrap> <b>'.$nfile[0].'</b><br>&nbsp;&nbsp;&nbsp;'.$nfile[1].'</td><td>'.mfunGetPerms(@fileperms($fpath)).'</td><td>'.(@is_writable($fpath)?'OK':'<span style="color:red;font-weight:bold;">Read-Only!</span>').'</td>	</tr>';
	if($nfile[2]!=0) {
		if(is_writable($fpath)==false) {
			$steps[count($steps)-1]['halt'] = true;
			$steps[count($steps)-1]['halt_msg'] = 'Make sure that all permissions are set to WRITABLE!';
		}
	}
}
$msg .= '</table>';
$frm->addTE(
	'<div class="note" style="height:250px">'.$msg.'</div>'
);
$steps[count($steps)-1]['err_obj'] = &$frm->addTE('');



//General Pars
$steps[] = array('halt'=>false,'halt_msg'=>'','err_obj'=>NULL);
$frm->addStep();
$frm->addContainer('','','Invi');
$frm->addTE(
	'<div class="note" style="height:50px"><b>General System Parameters</b><br> Review site-wide global parameters.</div>'
);
$cnt = &$frm->addContainer();
$cnt->setDims(623,250);
$frm->addTF('siteTitle','Site Title:','',1,'');
$frm->addTF('siteURL','Site URL:',getRootWWW(1),1,'Provide URL (no trailing slash) pointing to directory where RSS Equalizer is uploaded.');
$sitePath = getRootWWW(1);
if(isset($_SERVER['HTTP_HOST'])) {
	$sitePath = explode($_SERVER['HTTP_HOST'],$sitePath);	
	unset($sitePath[0]);
	$sitePath = implode('',$sitePath);
}
$frm->addTF('sitePath','Site Path:',$sitePath,0,'Specify path to RSS Equalizer.<br>Eg: if system uploaded to www.mydomain.com/RSS Equalizer, specify /RSS Equalizer.<br>Leave blank if system is installed into damains root.');
$steps[count($steps)-1]['err_obj'] = &$frm->addTE('');

if($setupType!='basic') {
	//Task Dispatcher
	$steps[] = array('halt'=>false,'halt_msg'=>'','err_obj'=>NULL);
	$frm->addStep();
	$frm->addContainer('','','Invi');
	$frm->addTE(
		'<div class="note" style="height:50px"><b>Task Dispatcher</b><br> Configure CRON enabled automation utility.</div>'
	);
	$cnt = &$frm->addContainer();
	$cnt->setDims(623,250);
	$frm->addTF('cronMins','Minutes:','30',1,'(0-59)');
	$frm->addTF('cronHours','Hours:','10',1,'(0-23)');
	$frm->addTF('cronDays','Day of Month:','*',1,'(1-31)');
	$frm->addTF('cronMonths','Months:','*',1,'(1-12)');
	$frm->addTF('cronWeekdays','Weekdays:','*',1,'(0-6)');
	$steps[count($steps)-1]['err_obj'] = &$frm->addTE('');
}

//System Ownner
$steps[] = array('halt'=>false,'halt_msg'=>'','err_obj'=>NULL);
$frm->addStep();
$frm->addContainer('','','Invi');
$frm->addTE(
	'<div class="note" style="height:50px"><b>System Owner Parameters</b><br> Setup Administration Access for system control panel.</div>'
);
$cnt = &$frm->addContainer();
$cnt->setDims(623,250);
$frm->addTF('sysUserTag','Full Name:','',1);
$frm->addTF('sysUser','User Name:','admin',1);
$fel = &$frm->addPE('sysPass','Password:','',1);
$fel['obj']->LenControl = false;
$frm->addTF('sysMail','E-mail:','',1);
$steps[count($steps)-1]['err_obj'] = &$frm->addTE('');

//Summary
$steps[] = array('halt'=>false,'halt_msg'=>'','err_obj'=>NULL);
$frm->addStep();
$frm->addContainer('','','Invi');
$frm->addTE(
	'<div class="note" style="height:50px"><b>Installation Summary</b><br> Review your current installation.</div>'
);
$cnt = &$frm->addContainer('','','Invi');
//$cnt->setDims(623,250);
$sum_msg = '';
$sum_msg .= '<b> Installation Type:</b> '.($setupType=='basic'?'Basic User':'Advanced User').'<br>';
$sum_msg .= '<hr>';
$sum_msg .= '<b> Site Title:</b> '.(isset($pp['siteTitle'])?$pp['siteTitle']:'').'<br>';
$sum_msg .= '<b> Site URL:</b> '.(isset($pp['siteURL'])?$pp['siteURL']:'').'<br>';
$sum_msg .= '<b> Site Path:</b> '.(isset($pp['sitePath'])?$pp['sitePath']:'').'<br>';
$sum_msg .= '<hr>';
if($setupType!='basic') {
	$sum_msg .= '<b> CRON:</b> '.(isset($pp['siteURL'])?$pp['siteURL']:'').'/system/cron_scheduler.php '.(isset($pp['cronMins'])?$pp['cronMins']:'').' '.(isset($pp['cronHours'])?$pp['cronHours']:'').' '.(isset($pp['cronDays'])?$pp['cronDays']:'').' '.(isset($pp['cronMonths'])?$pp['cronMonths']:'').' '.(isset($pp['cronWeekdays'])?$pp['cronWeekdays']:'').' <br>';
	$sum_msg .= '<hr>';
}
$sum_msg .= '<b> Full Name:</b> '.(isset($pp['sysUserTag'])?$pp['sysUserTag']:'').'<br>';
$sum_msg .= '<b> User Name:</b> '.(isset($pp['sysUser'])?$pp['sysUser']:'').'<br>';
$sum_msg .= '<b> E-mail:</b> '.(isset($pp['sysMail'])?$pp['sysMail']:'').'<br>';

$sObj = &$frm->addTE(
	'<div class="note" style="height:250px">'.$sum_msg.'<br>Ready to install. Press Finish to continue..</div>'
);

$steps[count($steps)-1]['err_obj'] = &$frm->addTE('');


$fTitle = '';
$ccstep = $frm->getStep();
if($steps[$ccstep]['halt']) {
	$frm->frmStepHalt = $ccstep;
	$steps[$ccstep]['err_obj']['obj']->setValue('<span class="blibFFormError">'.$steps[$ccstep]['halt_msg'].'</span>');
}

switch($ccstep) {
	case 1:
	break;
}


$frm->hCont->setCaptions($fTitle);


if($frm->isFinished()) {
	$fok = true;
	$summary_msg = '';
	$summary_msg .= '<b> Starting up installation..</b><br>';
	$summary_msg .= '<b> Writing Configuration Files..</b><br><b></b> ';
	if($ppw = @fopen($top_path.'system/lib/conf.xml.php','w')) {
		if($ppr = @fopen(dirname(__FILE__).'/input/conf.xml.php','r')) {
			if($content = @fread($ppr,filesize(dirname(__FILE__).'/input/conf.xml.php'))) {
				$content = str_replace('{DB_NAME}','no_db',$content);
				$content = str_replace('{DB_PFX}','',$content);
				$content = str_replace('{APP_PATH}',$pp['sitePath'],$content);
				$content = str_replace('{APP_URL}',$pp['siteURL'],$content);
				$content = str_replace('{SITE_NAME}',$pp['siteTitle'],$content);
				if(@fwrite($ppw,$content)) {
					$summary_msg .= 'System configuration file "system/lib/conf.xml.php" is written..';		
				}else {
					$summary_msg .= '<span class="error">Failed opening configuration source file: "install/input/conf.xml.php"</span>';		
				}
				@fclose($ppr);
				@fclose($ppw);
			}else {
				$summary_msg .= '<span class="error">Failed reading configuration source file: "install/input/conf.xml.php"</span>';		
			}
		}else {
			$summary_msg .= '<span class="error">Failed opening configuration source file: "install/input/conf.xml.php"</span>';	
		}
	}else {
		$summary_msg .= '<span class="error">Failed opening configuration destination file: "system/lib/conf.xml.php"</span>';
	}

	$summary_msg .= '<br><b> Creating database tables..</b>';
	$summary_msg .= '<br><b> </b>Core application tables..';
	if($d = dir(dirname(__FILE__).'/input/db')) {
		while ($entry = $d->read()) {
			if($entry!='.'&&$entry!='..'&&substr($entry,-3)=='txt') {
				if($fpr = @fopen(dirname(__FILE__).'/input/db/'.$entry,'r')) {
					if($fpw = @fopen($top_path.'system/data/db/'.$entry,'w+b')) {
						if($content = @fread($fpr,filesize(dirname(__FILE__).'/input/db/'.$entry))) {
							if(@fwrite($fpw,$content)) {
								//$summary_msg .=  '<br><b> </b>'.substr($entry,0,-4) .'.. [done]';
							}else {
								$summary_msg .= '<br><span class="error">Failed writing DB destination file: "'.$entry.'"</span>';		
							}
							@fclose($fpr);
							@fclose($fpw);
						}else {
							$summary_msg .= '<br><span class="error">Failed reading DB source file: "'.$entry.'"</span>';		
						}
					}else {
						$summary_msg .= '<br><span class="error">Failed opening DB destination file: "'.$entry.'"</span>';	
					}
				}else {
					$summary_msg .= '<br><span class="error">Failed opening DB source file: "'.$entry.'"</span>';
				}
			}
		}
		$d->close();
	}

	//reload configuration file
	$xml = $blib->objectGet('XMLConfParser');
	$xml->init();
	$M_conf = $xml->parseConfig($top_path.'system/lib/conf.xml.php');
	$theme = 'default';
	$M_conf['paths']['r_img'] .= '/themes/'.$theme.'/';

	require_once($top_path.'system/prepend.php');


	$summary_msg .= '<br><b> Setting up application parameters..</b>';
	
	$summary_msg .= '<br><b></b> General System Parameters..';
	setVar('siteTitle',$pp['siteTitle']);
	setVar('siteURL',$pp['siteURL']);
	setVar('siteTheme','default');
	$summary_msg .= '  [done]  ';
	
	$summary_msg .= '<br><b></b> Task Dispatcher..';
	if(isset($pp['cronMins'])&&isset($pp['cronHours'])&&isset($pp['cronDays'])&&$pp['cronMins']) {
		//handle previous cron file
		ob_start();
		system('crontab -l');
		$raw_content = htmlspecialchars(ob_get_contents());
		$prev_crons_raw = explode("\n",$raw_content);
		$prev_crons = array();
		foreach($prev_crons_raw as $row) {
			if(!(strpos($row,'curl')===false)) {
				if(strpos($row,$M_conf['credits']['app_url'])===false) {//this is not cron for current application back up it
					$prev_crons[] = trim($row);		
				}
			}
		}

		$M_cron = new crontab(dirname(__FILE__).'/../system/','crons');
		setVar('cronMins',$pp['cronMins']);
		setVar('cronHours',$pp['cronHours']);
		setVar('cronDays',$pp['cronDays']);
		setVar('cronMonths',$pp['cronMonths']);
		setVar('cronWeekdays',$pp['cronWeekdays']);

		//recompile cron file
		if(!@system('crontab -r')) {
			exec('crontab -r');
		}
		$M_cron->setDateParams(getVar('cronMins'),getVar('cronHours'),getVar('cronDays'),getVar('cronMonths'),getVar('cronWeekdays'));
		$M_cron->setCurlCommand($M_conf['credits']['app_url'].'system/cron_scheduler.php',dirname(__FILE__).'/../../cron_scheduler.php');	
		$M_cron->saveCronFilePrev($prev_crons);
		$M_cron->saveCronFile();
		$M_cron->addToCrontab();
		//$M_cron->destroyFilePoint(); // OPTIONAL
	}
	$summary_msg .= '  [done]  ';

	$summary_msg .= '<br><b></b> System Owner Parameters..';
	$M_db->query('UPDATE '.dext('user_list').' SET tag="'.$pp['sysUserTag'].'",username="'.$pp['sysUser'].'",password="'.md5($pp['sysPass']).'",email="'.$pp['sysMail'].'" WHERE username="admin"');
	setVar('su_mail',$pp['sysMail']);
	setVar('su_name',$pp['sysUser']);
	$summary_msg .= '  [done]  ';

	$summary_msg .= '<br><b> Getting system on-line..</b><br><b><center style="color:red;font-size:10pt;">LAUNCHED!!</center></b>';
	setVar('sysStatus','online');
	
	//post install instructions
	$post_install_msg = '';
	if(is_dir(dirname(__FILE__).'/../install')) {
		$post_install_msg .= '<br><b> '.$M_conf['credits']['app_url'].'install:</b> <br><b></b> Directory must be removed, as it creates potential security hole.';
	}
	if(is_writable(dirname(__FILE__).'/../system/lib/conf.xml.php')) {
		$post_install_msg .= '<br> <b> '.$M_conf['credits']['app_url'].'system/lib/conf.xml.php:</b><br><b></b> System configuration file permissions must be changed to read-only.';
	}
	if(strlen($post_install_msg)) {
		$post_install_msg = '<center><div style="text-align:left;width:100%;margin0px;padding:5px;"><div style="font-weight:bold;text-align:center;font-size:15px;color:red;">Attention!!! Security Warning!</div>'.$post_install_msg.'</div></center>';	
	}
	$summary_msg .= '<hr>';
	$summary_msg .= $post_install_msg;

	$summary_msg .= '<hr>';
	$summary_msg .= '<br><b></b> Application URL: <a target="_blank" href="'.$M_conf['credits']['app_url'].'">'.$M_conf['credits']['app_url'].'</a>';
	$summary_msg .= '<br><b></b> Admin User: '.$pp['sysUser'];
	//$summary_msg .= '<br><b></b> Admin Pass: '.$pp['sysPass'];

	$summary_msg .= '<hr>';
	$summary_msg .= '<br><center><b>You would be redirected in 5 seconds. <a href="'.$M_conf['credits']['app_url'].'">Click here</a> if this does not happen..</b></center>';

	if(isset($_POST['frmSI'])&&isset($_POST['frmST'])&&$_POST['frmSI']==1&&$_POST['frmST']==5) {
		$last_step = 1;
	}else {
		$last_step = 0;
	}
	if($last_step) {
		sleep(5);
		header('Location: '.$M_conf['credits']['app_url']);
		exit; 
	}
	

	$sObj['obj']->setValue('<div class="note" style="height:250px">'.$summary_msg.'</div>');
}	
$frm->formDisplay();

?>
      </td>
    </tr>
    <tr>
      <td align="center" class="tbl_head" style="font-size:8pt;text-align:right;" height="10px">
        <b>RSS Equalizer<sup></sup> All rights reserved.</b>
      </td>
    </tr>
  </table>

</center>
</body>
</html>
<?
ob_end_flush();
?>