<?PHP
if(!defined('IN_SMAN')) {
	die('Session expired or not set..');
}

$M_LIB_PATH = dirname(__FILE__).'/../system/lib/';      //absolute path to /lib folder
$M_XLIB_PATH = $M_LIB_PATH.'phpblib';										//absolute path to /xlib folder
if(!is_dir($M_XLIB_PATH)) {
	$M_XLIB_PATH = dirname(__FILE__).'/../../phpblib';
}
require_once($M_XLIB_PATH.'/blibFrame.lib.php');

$blib = new blibCore();
$blib->packageSetup('blibDb');
$blib->packageSetup('blibControls');
$blib->packageSetup('blibXML');

$blib->classSetHandle('blibDb.blibDbTable','SQLTable');
$blib->classSetHandle('blibControls.blibTemplate','Tpl');
$blib->classSetHandle('blibControls.blibDataGrid','DataGrid');
$blib->classSetHandle('blibControls.blibDbGrid','DbGrid');
$blib->classSetHandle('blibControls.blibTabs','Tabs');
$blib->classSetHandle('blibControls.blibList','List');
$blib->classSetHandle('blibControls.blibContainer','Container');
$blib->classSetHandle('blibControls.blibFForm','FForm');
$blib->classSetHandle('blibXML.blibXMLConfParser','XMLConfParser');

/**
* Common functions
*/
  include_once($M_LIB_PATH.'/common.inc.php');

/**
* Cronacts
*/
  include_once($M_LIB_PATH.'/cronacts.inc.php');

/**
* Template Engine
*/
  $M_tpl = $blib->objectGet('Tpl');
  $M_tpl->init(dirname(__FILE__).'/../system/layout/templates/');


?>