<?php
if(!defined('IN_SMAN')) {
	define('IN_SMAN',true);	
}

require_once(dirname(__FILE__).'/../prepend.php');

if(getVar('sysStatus')!='online') {
	die('system is offline');
}

/*/
echo 'REmove line below..<hr>';
$rss_key_id = 1;
echo '<pre>';
//*/

if(isset($keyword_tag)) {
	$rss_key_id = (int)$M_db->getVar('SELECT id FROM '.dext('keyword_list').' WHERE tag="'.$keyword_tag.'"');
}
if(isset($keyword_value)) {
	$rss_key_id = (int)$M_db->getVar('SELECT id FROM '.dext('keyword_list').' WHERE keyword="'.$keyword_value.'"');
}

if(isset($rss_key_id)&&$rss_key_id) {
	$key_data = $M_db->getRow('SELECT * FROM '.dext('keyword_list').' WHERE id="'.$rss_key_id.'"');
}

if((!isset($key_data))||(!is_array($key_data))||(count($key_data)==0)) {
	if((getVar('behNonRegist')!='deny')&&isset($keyword_value)&&strlen($keyword_value)) {
			$key_data = array();
			$key_data['id'] = '0';
			$key_data['uid'] = '1';
			$key_data['tag'] = str_replace(' ','_',strtolower($keyword_value));
			$key_data['keyword'] = $keyword_value;
			$key_data['keyword_high'] = implode(',',explode(' ',strtolower($keyword_value)));
			$key_data['keyword_arch'] = str_replace('\\','/',rootf()).'/archive';
			$key_data['keyword_arch_uri'] = getRootWWW(2).'/archive';
			$key_data['keyword_arch_pfx'] = '';
			$key_data['arch_period'] = '0';
			$key_data['arch_unit'] = 'dd'; 
			$key_data['rss_feeds'] = getVar('rssFeeds');
			$key_data['rand_t1_choice'] = 'single_first';
			$key_data['rand_t2_choice'] = '1';
			$key_data['rand_t3_min'] = '5';
			$key_data['rand_t3_max'] = '10';
			$key_data['backlinks'] = getVar('rssBacklinks');
			foreach($s_tpl_types as $k=>$tpl_type) {
				$key_data['tpl_type_'.$k] = $M_db->getVar('SELECT id FROM '.dext('template_list').' WHERE description="'.$k.'" ORDER BY tag');
			}			
			$key_data['keyword_high_type'] = 'bold';
			$key_data['last_archive'] = ''; 
			$key_data['track_num'] = '0';

		if(getVar('behNonRegist')=='allow_n_register') {
			if(!$M_db->getVar('SELECT COUNT(*) FROM '.dext('keyword_list').' WHERE tag="'.$key_data['tag'].'"')) {
				unset($key_data['id']);
				$M_db->query('INSERT INTO '.dext('keyword_list').'('.implode(',',array_keys($key_data)).') VALUES("'.implode('","',$key_data).'")');
			}
		}		
	}else {
		die('Nothing to fetch..');	
	}
}

if(isset($const['RSS_DO_TRACK'])&&$const['RSS_DO_TRACK']) {
	if(!isset($_GET['notrack'])) {
		//tracking code goes here
		$M_db->query('UPDATE '.dext('keyword_list').' SET track_num="'.($key_data['track_num']+1).'" WHERE id="'.$key_data['id'].'"');
		if(isset($const['RSS_DO_TRACK_NO_FETCH'])&&$const['RSS_DO_TRACK_NO_FETCH']) {
			return 0;
		}
	}
}

//setup template engine/parser
$tpl = new blibTemplate();
$tpl->tplDelimLeft = '<%';
$tpl->tplDelimRight = '%>';
$tpl->init();
$tpl_str = ' ';

//number of items to fetch
$feed_num = (int)(rand($key_data['rand_t3_min'],$key_data['rand_t3_max']));

//which feed(s) to use
$feeds = array();
$key_data['rss_feeds'] = str_replace('%KEYWORD%',urlencode($key_data['keyword']),$key_data['rss_feeds']);
$key_data['rss_feeds'] = explode("\n",$key_data['rss_feeds']);

if((!is_array($key_data['rss_feeds']))||count($key_data['rss_feeds'])==0) {
	die('No RSS Feeds are supplied with this keyword');
}

switch($key_data['rand_t1_choice']) {
	case 'single_first':
		$feeds[] =  array_shift($key_data['rss_feeds']);
	break;
	case 'single_random':
		$feeds = $key_data['rss_feeds'];
		srand ((double) microtime() * 10000000);
		shuffle($feeds);
		$feeds = array(array_shift($feeds));
	break;
	case 'multiple':
		$feeds = $key_data['rss_feeds'];
		shuffle($feeds);
		$feeds = array_splice($feeds,0,$feed_num);
	break;
	default:
		die('Randomizer I FAILED!');
	break;
}

$feeds_fetched = array();
foreach($feeds as $file) {
	if(($rss_f = @fetch_rss($file))) {
		$items = $rss_f->items;
		unset($rss_f);
		foreach($items as $key=>$val) {
			$items[$key]['link'] = htmlentities2($items[$key]['link']);
		}
		srand ((double) microtime() * 10000000);
		if(is_array($items)&&count($items)) {
			$num_f = floor((($feed_num>0?$feed_num:1)/count($feeds))+1);
			if($key_data['rand_t2_choice']==1) {//RAND II ->shuffle items
				shuffle($items);	
			}
			$feeds_fetched = array_merge($feeds_fetched,array_splice($items,0,$num_f));	
		}
	}
}
if($key_data['rand_t2_choice']==1) {//RAND II ->shuffle items
	shuffle($feeds_fetched);	
}

$tpl_data = array();
foreach($s_tpl_types as $k=>$tpl_type) {
	$tpl_data[] = array('title'=>$tpl_type,'data'=>$M_db->getVar('SELECT vvalue FROM '.dext('template_list').' WHERE id="'.((int)$key_data['tpl_type_'.$k]).'"'));	
}

//start parsing
$tpl->assign('YEAR',date('Y'));
$tpl->assign('MONTHNUM',date('m'));
$tpl->assign('MONTHSHORT',date('M'));
$tpl->assign('DAY',date('d'));
$tpl->assign('KEYWORD',$key_data['keyword']);
$tpl->assign('SITE_TITLE',getVar('siteTitle'));
$tpl->assign('SITE_URL',getVar('siteURL'));

//setup tokens
$tokens = array();
foreach($M_db->getRows('SELECT tag,vvalue FROM '.dext('token_list').'') as $row) {
	$tokens[$row['tag']] = nl2br(stripslashes($row['vvalue']));
}
$tpl->assign('TOKENS',$tokens);

$TPL_ITEMS = array();

foreach($feeds_fetched as $k=>$rss_item) {
	//do string highlight && backlinking
	
	$rss_item['description'] = (isset($rss_item['description'])?$rss_item['description']:(isset($rss_item['summary'])?$rss_item['summary']:''));
	
	$patterns = $key_data['keyword_high'];
	$patterns = explode(',',$patterns);
	$blinks = $key_data['backlinks'];
	$blinks = explode("\n",trim($blinks));
	if(is_array($blinks)) {
		srand ((float)microtime()*1000000);
		shuffle($blinks);
	}
	$ldq = '{{{--';
	$rdq = '--}}}';
	for($i=0,$mx=count($patterns); $i<$mx; $i++) {
		$patterns[$i] = trim($patterns[$i]);
		if(strlen($patterns[$i])) {
			switch($key_data['keyword_high_type']) {
				case 'bold':
					//$rss_item['description'] = str_replace($patterns[$i],'<b>'.$patterns[$i].'</b>',$rss_item['description']);
					//$patterns[$i] = '<b>'.$patterns[$i].'</b>';
					$rss_item['description'] = preg_replace('/([^a-z]+)('.addslashes($patterns[$i]).')([^a-z]+)/si',"\\1$ldq<b>\\2</b>$rdq\\3",$rss_item['description']);
				break;
				case 'italic':
					//$rss_item['description'] = str_replace($patterns[$i],'<i>'.$patterns[$i].'</i>',$rss_item['description']);
					//$patterns[$i] = '<i>'.$patterns[$i].'</i>';
					$rss_item['description'] = preg_replace('/([^a-z]+)('.addslashes($patterns[$i]).')([^a-z]+)/si',"\\1$ldq<i>\\2</i>$rdq\\3",$rss_item['description']);
				break;
				default://none
					//$rss_item['description'] = str_replace('','',$rss_item['description']);
				break;
			}
		}
	}
	//add backlinks
	preg_match_all("~{$ldq}\s*(.*?)\s*{$rdq}~s", $rss_item['description'], $_match);
	for($i=0,$mx=count($_match[1]); $i<$mx; $i++) {
		if($blink = array_pop($blinks)) {
			$rss_item['description'] = str_replace($_match[1][$i],'<a href="'.$blink.'" target="_blank">'.$_match[1][$i].'</a>',$rss_item['description']);
		}else {
			break;
		}
	}
	$rss_item['description'] = str_replace($ldq,'',$rss_item['description']);
	$rss_item['description'] = str_replace($rdq,'',$rss_item['description']);
	$tpl->assign('ITEM_TITLE_LINK','<a href="'.$rss_item['link'].'">'.$rss_item['title'].'</a>');
	$tpl->assign('ITEM_TEXT',$rss_item['description']);
	$tpl->assign('ITEM_TITLE_TEXT',$rss_item['title']);
	$tpl->assign('ITEM_TITLE_URI',$rss_item['link']);
	$TPL_ITEMS[]['ITEM'] = $tpl->fetch('',$tpl_data[0]['data'].' ');
}


$tpl->assign('ITEMS',$TPL_ITEMS);


if(!defined('RSS_NO_FETCH')) {
	echo $tpl->fetch('',$tpl_data[1]['data']);
	if(getVar('clickBankTag')&&getVar('clickBankName')) {
		echo '<center><a href="http://hop.clickbank.net/?'.getVar('clickBankName').'/rssalizer" target="_blank">'.getVar('clickBankTag').'</a></center>';
	}

}


?>
