<?php
set_time_limit(7*60*60);
define('IN_SMAN',true);
require_once(dirname(__FILE__).'/prepend.php');
require_once(dirname(__FILE__).'/actions/cronacts/common.inc.php');

if(getVar('sysStatus')!='online') {
	die('system is offline');
}

define('IN_CRON_SCHED',true);

$msg = '';

$tasks = array('rss_archive');

foreach($tasks as $task) {
	$taskman = new TaskDispatcher($task);
	if($taskman->getScheduled()) {
		$taskman->doTasks();
	}
	$msg .= $taskman->getMessages();
}

$msg .= '';
if(isset($_GET['debug'])) {
	echo '<style>
	body{
	font-family:Tahoma, Verdana;font-size:10pt;
	}
	td{
	font-family:Tahoma, Verdana;font-size:10pt;
	}
	</style>';
	echo $msg;	
}

//update database
if(getVar('purgeDays')>0) {
	$tt = epoch(date('Y-m-d H:i:s'));
	$ids = array('0');
	foreach($M_db->getRows('SELECT id, pstart FROM '.get_db_ext('proc_list').'') as $row) {
		$tt1 = epoch($row['pstart']);
		if(round(($tt-$tt1)/60/60/24)>((int)getVar('purgeDays'))) {
			$ids[] = $row['id'];	
		}
	}
	$M_db->query('DELETE FROM '.get_db_ext('proc_list').' WHERE id IN("'.implode('","',$ids).'")');
}

/*
if($fpw = @fopen(dirname(__FILE__).'/data/cron-'.date('Y-m-d').'.html','a')) {
	@fwrite($fpw,'<hr><span style="color:red;font-weight:bold;">CRON Report '.date('y-m-d H:i:s')."</span><br>".$msg);
	@fclose($fpw);
}
*/
//echo $msg;
?>
